@echo off

set STERICHOME=c:\steric

echo .
echo Installing steric files to directory %STERICHOME%
echo If you do not want to install to this directory edit INSTALL.BAT
echo changing the line that reads "set STERICHOME=%STERICHOME%"
echo .
echo NOTE:  STERICHOME must correspond to the expected installation
echo directory specified when steric was compiled.  The default is therefore
echo advisable unless you want to compile steric locally using djgpp.
echo .
echo If you do not install steric in the expected directory, it will still 
echo work, but you will probably need to run steric in the directory in
echo which all it's files are installed, so that it can find them.
echo Steric does not search the path for its files.
echo .
choice /c:yn /t:y,5 Do you want to install to %STERICHOME%
if errorlevel 2 goto EXIT
if errorlevel 1 goto INSTALL

:INSTALL

IF "%STERICHOME%" == "." GOTO END
mkdir %STERICHOME%
IF NOT ERRORLEVEL 0 GOTO ERROR

copy steric.exe %STERICHOME%
copy steric.err %STERICHOME%
copy steric.hlp %STERICHOME%
copy steric.par %STERICHOME%
copy steric.ini %STERICHOME%
copy steric.grp %STERICHOME%
copy mapcont.exe %STERICHOME%
copy mapprof.exe %STERICHOME%
copy contplot %STERICHOME%
copy profplot %STERICHOME%
copy sterplot %STERICHOME%
copy go32.exe %STERICHOME%

echo .
echo If you have not changed the default installation location, then
echo Steric will find its helper files by first searching in the
echo current directory and then the installation directory.  Any helper
echo file (eg. steric.grp) can be copied to the current directory and 
echo edited to the users preferences without affecting the other helper
echo files.
echo The executables (steric.exe, mapprof.exe and mapcont.exe) need not
echo be kept in the installation directory but can be anywhere in the path.
echo .

GOTO EXIT

:END
echo "Current directory chosen so nothing will be done"
GOTO EXIT

:ERROR
echo "An error occured in the installation!"

:EXIT


